Package org.kapott.hbci.sepa.jaxb.camt_052_001_05

## Class DiscountAmountAndType1

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_05.DiscountAmountAndType1

    public class DiscountAmountAndType1
    extends java.lang.Object

Java class for DiscountAmountAndType1 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="DiscountAmountAndType1">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Tp" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}DiscountAmountType1Choice" minOccurs="0"/>
             <element name="Amt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}ActiveOrHistoricCurrencyAndAmount"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected ActiveOrHistoricCurrencyAndAmount` `amt`
`protected DiscountAmountType1Choice` `tp`

### Constructor Summary

Constructors
`DiscountAmountAndType1()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ActiveOrHistoricCurrencyAndAmount` `getAmt()` Gets the value of the amt property.
`DiscountAmountType1Choice` `getTp()` Gets the value of the tp property.
`void` `setAmt​(ActiveOrHistoricCurrencyAndAmount value)` Sets the value of the amt property.
`void` `setTp​(DiscountAmountType1Choice value)` Sets the value of the tp property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### tp

    protected DiscountAmountType1Choice tp

#### amt

    protected ActiveOrHistoricCurrencyAndAmount amt

### Constructor Detail

#### DiscountAmountAndType1

    public DiscountAmountAndType1()

### Method Detail

#### getTp

    public DiscountAmountType1Choice getTp()

Gets the value of the tp property.

Returns:
  possible object is `DiscountAmountType1Choice`

#### setTp

    public void setTp​(DiscountAmountType1Choice value)

Sets the value of the tp property.

Parameters:
  `value` - allowed object is `DiscountAmountType1Choice`

#### getAmt

    public ActiveOrHistoricCurrencyAndAmount getAmt()

Gets the value of the amt property.

Returns:
  possible object is `ActiveOrHistoricCurrencyAndAmount`

#### setAmt

    public void setAmt​(ActiveOrHistoricCurrencyAndAmount value)

Sets the value of the amt property.

Parameters:
  `value` - allowed object is `ActiveOrHistoricCurrencyAndAmount`